Setup CI for Redmine 1.0-stable

2010-07-18 17:49 - Eric Davis

Status: Closed Start date: 2010-07-18

Priority: Normal Due date:  

Assignee: Holger Just % Done: 50%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

Holger,

Can you please setup 1.0-stable on CI Server?

Thanks

History

#1 - 2010-07-19 11:19 - Gregor Schmidt

Should we keep up the 0.9-stable branch or is it considered obsolete?

#2 - 2010-07-19 14:49 - Holger Just

I think, we should keep the 0.9 branch as it is still supported. There should be not much overhead here as there shouldn't be many putbacks there.

#3 - 2010-07-19 21:49 - Holger Just

- Status changed from New to Resolved

- % Done changed from 0 to 100

- Resolution set to Fixed

Okay, the cc.rb on http://ci.finn.de was updated with the 1.0-stable branch.

Thanks goes out to Gregor Schmidt for making it possible.

#4 - 2010-07-19 21:54 - Holger Just

- Status changed from Resolved to Closed

#5 - 2010-07-19 22:37 - Mischa The Evil

Slight addition: maybe http://ci.finn.de/documentation should be updated also? ;)

#6 - 2010-07-20 11:58 - Gregor Schmidt

- Status changed from Closed to Reopened

- % Done changed from 100 to 50

Thanks Mischa for the pointer. I'm still looking for feedback concerning the status of 0.9-stable. Afterwards, I wanted to update the documentation.

#7 - 2010-07-21 01:36 - Eric Davis

Gregor Schmidt wrote:

Should we keep up the 0.9-stable branch or is it considered obsolete?

 Keep 0.9-stable for now.  1.0-stable is in RC so technically 0.9-stable is still active (it will probably only get very severe security patches).

#8 - 2011-03-01 14:14 - Toshi MARUYAMA

- Status changed from Reopened to Closed
Redmine has new CI server.

http://www.redmine.org/projects/redmine/wiki/Continuous_integration
